// generated by newgenasym  Mon Jul 28 18:45:07 2014


module pc049a_fpga (adc_dav_i, button1_i, button2_i, cclk, ck_40m_n_o,
        ck_40m_p_o, ck_r_o, ck_sc_o, clk_125m_pllref_n_i,
        clk_125m_pllref_p_i, clk_20m_vcxo_i, cmpcs_b_2, cso_b,
        ctest_o, d_r_o, d_sc_o, din, dip_switch_i, done_2,
        en_otaq_o, enable_gclk_drive_o,
        enable_globaltrig_drive_o, fpga_pll_ref_clk_101_n_i,
        fpga_pll_ref_clk_101_p_i, fpga_pll_ref_clk_123_n_i,
        fpga_pll_ref_clk_123_p_i, fpga_scl_b, fpga_sda_b, gnd,
        gpio, hold1_o, hold2_o, init_b, io_l1n_a24_vref_1,
        io_l1n_vref_3, io_l28n_vref_1, io_l31n_vref_3,
        io_l53n_vref_1, io_l57n_vref_3, io_l83n_vref_3, leds_o,
        lvds_gclk_from_fpga_n_o, lvds_gclk_from_fpga_p_o,
        lvds_gclk_to_fpga_n_i, lvds_gclk_to_fpga_p_i,
        lvds_globaltrig_from_fpga_n_o,
        lvds_globaltrig_from_fpga_p_o,
        lvds_globaltrig_to_fpga_n_i,
        lvds_globaltrig_to_fpga_p_i, lvds_left_clk_n_b,
        lvds_left_clk_p_b, lvds_left_data_n_b,
        lvds_left_data_p_b, lvds_otrig_from_fpga_n_o,
        lvds_otrig_from_fpga_p_o, lvds_otrig_to_fpga_n_i,
        lvds_otrig_to_fpga_p_i, lvds_right_clk_n_b,
        lvds_right_clk_p_b, lvds_right_data_n_b,
        lvds_right_data_p_b, m0, m1, maroc_trigger_i, mgtavcc_101,
        mgtavcc_123, mgtavccpll0_101, mgtavccpll0_123,
        mgtavccpll1_101, mgtavccpll1_123, mgtavttrcal_101,
        mgtavttrx_101, mgtavttrx_123, mgtavtttx_101,
        mgtavtttx_123, mgtrref_101, mosi, one_wire_b, or_i,
        out_adc_i, pll25dac1_sync_n_o, pll25dac2_sync_n_o,
        pll25dac_din_o, pll25dac_sclk_o, program_b_2, q_r_i,
        q_sc_i, rfuse, rst_adc_n_o, rst_r_n_o, rst_sc_n_o,
        sata_rxn_i, sata_rxp_i, sata_txn_o, sata_txp_o, sfp_los_i,
        sfp_mod_def0_b, sfp_mod_def1_b, sfp_mod_def2_b,
        sfp_rate_select_b, sfp_rxn_i, sfp_rxp_i,
        sfp_tx_disable_o, sfp_tx_fault_i, sfp_txn_o, sfp_txp_o,
        si57x_clk_n_i, si57x_clk_p_i, si57x_oe_o, start_adc_n_o,
        suspend, tck, tdi, tdo, tms, vbatt, vccaux, vccint, vcco_0,
        vcco_1, vcco_2, vcco_3, vfs);
    input adc_dav_i;
    input button1_i;
    input button2_i;
    output cclk;
    output ck_40m_n_o;
    output ck_40m_p_o;
    output ck_r_o;
    output ck_sc_o;
    input clk_125m_pllref_n_i;
    input clk_125m_pllref_p_i;
    input clk_20m_vcxo_i;
    inout cmpcs_b_2;
    inout cso_b;
    output [5:0] ctest_o;
    output d_r_o;
    output d_sc_o;
    input din;
    input [3:0] dip_switch_i;
    inout done_2;
    output en_otaq_o;
    output enable_gclk_drive_o;
    output enable_globaltrig_drive_o;
    input fpga_pll_ref_clk_101_n_i;
    input fpga_pll_ref_clk_101_p_i;
    input fpga_pll_ref_clk_123_n_i;
    input fpga_pll_ref_clk_123_p_i;
    inout fpga_scl_b;
    inout fpga_sda_b;
    input [70:0] gnd;
    output [7:0] gpio;
    output hold1_o;
    output hold2_o;
    input init_b;
    input io_l1n_a24_vref_1;
    input io_l1n_vref_3;
    input io_l28n_vref_1;
    input io_l31n_vref_3;
    input io_l53n_vref_1;
    input io_l57n_vref_3;
    input io_l83n_vref_3;
    output [4:0] leds_o;
    output lvds_gclk_from_fpga_n_o;
    output lvds_gclk_from_fpga_p_o;
    input lvds_gclk_to_fpga_n_i;
    input lvds_gclk_to_fpga_p_i;
    output lvds_globaltrig_from_fpga_n_o;
    output lvds_globaltrig_from_fpga_p_o;
    input lvds_globaltrig_to_fpga_n_i;
    input lvds_globaltrig_to_fpga_p_i;
    input lvds_left_clk_n_b;
    input lvds_left_clk_p_b;
    inout [15:0] lvds_left_data_n_b;
    output [15:0] lvds_left_data_p_b;
    output lvds_otrig_from_fpga_n_o;
    output lvds_otrig_from_fpga_p_o;
    input lvds_otrig_to_fpga_n_i;
    input lvds_otrig_to_fpga_p_i;
    input lvds_right_clk_n_b;
    input lvds_right_clk_p_b;
    inout [15:0] lvds_right_data_n_b;
    output [15:0] lvds_right_data_p_b;
    input m0;
    input m1;
    input [63:0] maroc_trigger_i;
    inout mgtavcc_101;
    inout mgtavcc_123;
    inout mgtavccpll0_101;
    inout mgtavccpll0_123;
    inout mgtavccpll1_101;
    inout mgtavccpll1_123;
    inout mgtavttrcal_101;
    inout mgtavttrx_101;
    inout mgtavttrx_123;
    inout mgtavtttx_101;
    inout mgtavtttx_123;
    inout mgtrref_101;
    output mosi;
    inout one_wire_b;
    input [1:0] or_i;
    input out_adc_i;
    output pll25dac1_sync_n_o;
    output pll25dac2_sync_n_o;
    output pll25dac_din_o;
    output pll25dac_sclk_o;
    inout program_b_2;
    input q_r_i;
    input q_sc_i;
    inout rfuse;
    output rst_adc_n_o;
    output rst_r_n_o;
    output rst_sc_n_o;
    input [1:0] sata_rxn_i;
    input [1:0] sata_rxp_i;
    output [1:0] sata_txn_o;
    output [1:0] sata_txp_o;
    input [1:0] sfp_los_i;
    output [1:0] sfp_mod_def0_b;
    output [1:0] sfp_mod_def1_b;
    output [1:0] sfp_mod_def2_b;
    output [1:0] sfp_rate_select_b;
    input [1:0] sfp_rxn_i;
    input [1:0] sfp_rxp_i;
    output [1:0] sfp_tx_disable_o;
    input [1:0] sfp_tx_fault_i;
    output [1:0] sfp_txn_o;
    output [1:0] sfp_txp_o;
    inout si57x_clk_n_i;
    input si57x_clk_p_i;
    output si57x_oe_o;
    output start_adc_n_o;
    inout suspend;
    input tck;
    input tdi;
    output tdo;
    input tms;
    inout vbatt;
    input [12:0] vccaux;
    input [19:0] vccint;
    input [5:0] vcco_0;
    input [9:0] vcco_1;
    input [10:0] vcco_2;
    input [9:0] vcco_3;
    inout vfs;


    initial
        begin
        end

endmodule
